// native
import * as http from 'http';
import * as path from 'path';

export { http, path };

// @pushrocks
import * as smartfile from '@push.rocks/smartfile';
import * as smartdelay from '@push.rocks/smartdelay';
import * as smartpromise from '@push.rocks/smartpromise';
import * as smartpath from '@push.rocks/smartpath';
import * as smartpuppeteer from '@push.rocks/smartpuppeteer';
import * as smartnetwork from '@push.rocks/smartnetwork';
import * as smartunique from '@push.rocks/smartunique';

export {
  smartfile,
  smartdelay,
  smartpromise,
  smartpath,
  smartpuppeteer,
  smartunique,
  smartnetwork,
};

// tsclass scope
import * as tsclass from '@tsclass/tsclass';

export { tsclass };

// thirdparty
import pdfMerger from 'pdf-merger-js';
// @ts-ignore
import pdf2json from 'pdf2json';
import express from 'express';

export { pdfMerger, pdf2json, express };
